edu.ucsb.nceas.metacat.dataone

## Class DOIService

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataone.DOIService

-     public class DOIService
      extends java.lang.Object

  Singleton for interacting with the EZID DOI library. Allows DOI minting/initial registration, creating and updating existing DOI registrations.
  Author:
    leinfelder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATACITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dataone.service.types.v1.Identifier` | `generateDOI()` Generate a DOI using the EZID service as configured
    `static DOIService` | `getInstance()`
    `boolean` | `registerDOI(org.dataone.service.types.v2.SystemMetadata sysMeta)` submits DOI metadata information about the object to EZID

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATACITE

          public static final java.lang.String DATACITE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static DOIService getInstance()

    - #### registerDOI

          public boolean registerDOI(org.dataone.service.types.v2.SystemMetadata sysMeta)
                              throws org.dataone.service.exceptions.InvalidRequest,
                                     edu.ucsb.nceas.ezid.EZIDException,
                                     org.dataone.service.exceptions.NotImplemented,
                                     org.dataone.service.exceptions.ServiceFailure,
                                     java.lang.InterruptedException

      submits DOI metadata information about the object to EZID
      Parameters:
        `sysMeta` -
      Returns:
      Throws:
        `edu.ucsb.nceas.ezid.EZIDException`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotImplemented`
        `java.lang.InterruptedException`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### generateDOI

          public org.dataone.service.types.v1.Identifier generateDOI()
                                                              throws edu.ucsb.nceas.ezid.EZIDException,
                                                                     org.dataone.service.exceptions.InvalidRequest

      Generate a DOI using the EZID service as configured
      Returns:
      Throws:
        `edu.ucsb.nceas.ezid.EZIDException`
        `org.dataone.service.exceptions.InvalidRequest`

Copyright © 2020 Regents of the University of California. All Rights Reserved.